apiVersion: apps/v1
kind: Deployment
metadata:
  name: deploy-httpd
spec:
  replicas: 5
  selector:
    matchLabels:
      app: httpd-pod
  template:
    metadata:
      name: deploy-httpd
      labels:
        app: httpd-pod
    spec:
      containers:
      - name: httpd-container
        image: httpd
        ports:
        - containerPort: 80
          name: http-port
          protocol: TCP